Bug 126402 - CAN-2004-0447 NULL-pointer dereference in unwind.c
CAN-2004-0447 NULL-pointer dereference in unwind.c
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Baron
Brian Brock
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-21 05:31 EDT by Mark J. Cox (Product Security)
Modified: 2013-03-06 00:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-03 18:36:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-06-21 05:31:59 EDT
See http://marc.theaimsgroup.com/?l=linux-ia64&m=108026377907667

"It appears that the combination of gdb 6.x and NPTL is triggering this
bug (which has been there forever)" which can lead to a NULL pointer
dereference.

Not investigated if this is actually an issue in RHEL3 ia64
Comment 1 Mark J. Cox (Product Security) 2004-06-21 05:33:12 EDT
(Note I previouslly called this CAN-2004-0477 which was incorrect; the
correct CVE name is CAN-2004-0447)
Comment 2 Ernie Petrides 2004-06-21 19:47:25 EDT

*** This bug has been marked as a duplicate of 120527 ***
Comment 3 Ernie Petrides 2004-07-31 01:56:43 EDT
A fix for this problem has also been committed to the RHEL3 E3
patch pool (in kernel version 2.4.21-15.0.4.EL).
Comment 4 Mark J. Cox (Product Security) 2004-08-03 18:36:27 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-413.html

Note You need to log in before you can comment on or make changes to this bug.